
% VISUALIZE_NNFIELD(T,S,nnfield,patch_w,transformation,patchdb,patchind,Sdb,Sindimage)
% shows current completed image and visualize nnfield at clicked location

%    ---------------------------------------------------------------------
%
%    MATLAB/MEX Transforming image completion
%    Copyright (C) 2011 Alex Mansfield (alex.mansfield@vision.ee.ethz.ch)
%    This program is free software: you can redistribute it and/or modify
%    it under the terms of the GNU General Public License as published by
%    the Free Software Foundation, either version 3 of the License, or
%    (at your option) any later version.
%
%    This program is distributed in the hope that it will be useful,
%    but WITHOUT ANY WARRANTY; without even the implied warranty of
%    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
%    GNU General Public License for more details.
%
%    You should have received a copy of the GNU General Public License
%    along with this program.  If not, see http://www.gnu.org/licenses/.
%
%    ---------------------------------------------------------------------

function visualize_nnfield(T,S,nnfield,patch_w,transformation,patchdb,patchind,Sdb,Sindimage)
    
    fig_h = figure(1); axis image; im_h = imshow(uint8(T));

    set(im_h,'hittest','on');
    set(im_h,'ButtonDownFcn', {@visualize_nnfield_click, im_h, T, S, nnfield, patch_w, transformation,patchdb,patchind,Sdb,Sindimage});
    
end

